Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Persistent.Base.General
Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Linq
Imports System.Linq.Expressions
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<DeferredDeletion(False)> _
Public Class LiquidAssetsBallanceRows 'Pénzeszközök egyenlege
    Inherits BaseObject
    Private _LiquidAssetsBallanceHeader As LiquidAssetsBallanceHeader
    Private _CustomersFrom As CustomersFrom 'Saját cég
    Private _LiquidAssets As LiquidAssets 'Pénzeszköz
    Private _BallanceHUF As Double 'Egyenleg HUF
    Private _BallanceDEV As Double ' Egyenleg DEVIZA
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <Association("LiquidAssetsBallanceHeader-LiquidAssetsBallanceRows", GetType(LiquidAssetsBallanceHeader))> _
    Property LiquidAssetsBallanceHeader As LiquidAssetsBallanceHeader
        Get
            Return _LiquidAssetsBallanceHeader
        End Get
        Set(ByVal value As LiquidAssetsBallanceHeader)
            SetPropertyValue("LiquidAssetsBallanceHeader", _LiquidAssetsBallanceHeader, value)
        End Set
    End Property
    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(ByVal value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property LiquidAssets As LiquidAssets
        Get
            Return _LiquidAssets
        End Get
        Set(ByVal value As LiquidAssets)
            SetPropertyValue("LiquidAssets", _LiquidAssets, value)
        End Set
    End Property
    Property BallanceHUF As Double
        Get
            Return _BallanceHUF
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("BallanceHUF", _BallanceHUF, value)
        End Set
    End Property
    Property BallanceDEV As Double
        Get
            Return _BallanceDEV
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("BallanceDEV", _BallanceDEV, value)
        End Set
    End Property
End Class

